Package org.apache.cxf.service.factory

# Class SimpleMethodDispatcher

java.lang.Object
org.apache.cxf.service.factory.SimpleMethodDispatcher

All Implemented Interfaces:
  `MethodDispatcher`

public class SimpleMethodDispatcher extends Object implements MethodDispatcher

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleMethodDispatcher()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `bind(OperationInfo o, Method... methods)`
  `BindingOperationInfo`
  `getBindingOperation(Method method, Endpoint endpoint)`
  `Method`
  `getMethod(BindingOperationInfo op)`
  `Method`
  `getPrimaryMethod(OperationInfo op)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SimpleMethodDispatcher

    public SimpleMethodDispatcher()

- ## Method Details

  - ### bind

    public void bind(OperationInfo o, Method... methods)
    Specified by:
      `bind` in interface `MethodDispatcher`

  - ### getBindingOperation

    public BindingOperationInfo getBindingOperation(Method method, Endpoint endpoint)
    Specified by:
      `getBindingOperation` in interface `MethodDispatcher`

  - ### getMethod

    public Method getMethod(BindingOperationInfo op)
    Specified by:
      `getMethod` in interface `MethodDispatcher`

  - ### getPrimaryMethod

    public Method getPrimaryMethod(OperationInfo op)